Run a Knowledge Extension - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POST
/ v2.0 / knowledgestores / {knowledgeStoreId} / extensions / run
Try it
Run a Knowledge Extension
cURL
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/extensions/run \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"extension": "<string>",
"type": "<string>",
"updateKnowledge": true,
"config": {}
}
'```
### Python
```python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/extensions/run"
payload = {
"extension": "<string>",
"type": "<string>",
"updateKnowledge": True,
"config": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript Fetch
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({extension: '<string>', type: '<string>', updateKnowledge: true, config: {}})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/extensions/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/extensions/run",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'extension' => '<string>',
'type' => '<string>',
'updateKnowledge' => true,
'config' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/knowledgestores/{knowledgeStoreId}/extensions/run"
payload := strings.NewReader(`{
"extension": "<string>",
"type": "<string>",
"updateKnowledge": true,
"config": {}
}`)
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Codes
- 201 – On successful creation of KnowledgeSource metadata object.
- 400 – Bad Request: Validation failed, missing payload.
- 401 – Unauthorized Error: Invalid API Key.
- 402 – Payment Required Error.
- 403 – Forbidden Error.
- 404 – Not Found Error.
- 405 – Method Not Allowed Error.
- 409 – Conflict Error.
- 413 – Payload Too Large Error.
- 500 – Internal Server Error.
- 501 – Not Implemented Error.
- 502 – Bad Gateway Error.
- 503 – Service Unavailable Error.
- 504 – Gateway Timeout Error.
Authorizations
API Key
X-API-Key: string, header, required. Supply the API Key in the HTTP-Header.
Headers
- Accept: enum
. Specifies the media type that the client expects in the response. Available options: application/json,application/hal+json,application/xml,text/xml,text/csv. The default value isapplication/json.
Path Parameters
- knowledgeStoreId: string, required. The Id of the KnowledgeStore. Required string length:
24. Pattern:^[a-z0-9]{24}$.
Body
{
"extension": "<string>",
"type": "<string>",
"updateKnowledge": true,
"config": {}
}
Response
Returns KnowledgeSource metadata object:
{
"name": "mysource",
"description": "mysource description",
"metaData": {
"tags": ["tag1"]
},
"data": {
"_id": "x4xU6hMntv23p",
"sys_CreatedAt": "2019-12-16T11:40:45.7212",
"sys_UpdatedAt": "2025-10-01T07:46:04.5932",
"Type": "FAQ"
},
"chunkCount": 123,
"connectorReference": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"_id": "<string>",
"createdAt": 1694518620,
"lastChanged": 1694518620,
"createdBy": "<string>",
"lastChangedBy": "<string>"
}